> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 同类公司检索

> **已弃用。** 请改用 `POST /companies/search/similar` — 数据相同,请求体相同。

根据公司特征和技术属性，查找与指定目标公司相似的公司。



## OpenAPI

````yaml cn-openapi POST /companies/lookalikes/search
openapi: 3.0.0
info:
  description: >-
    Pubrio API 提供市场扩张情报——实时捕捉企业进入新市场的信号，以及其底层的公司与人员数据。可搜索、查找并丰富账户与联系人信息，并订阅覆盖
    200+ 市场、带类型与日期的动向信号。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/zh-CN/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/zh-CN/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: 工作区配置信息和使用统计
  - name: Enrichment
    description: 通过详细的 B2B 数据丰富人员和公司记录
  - name: Lookalike
    description: 查找与指定公司相似的公司
  - name: Search
    description: 使用筛选条件搜索人员、公司、职位、新闻和广告
  - name: Lookup
    description: 查找特定人员、公司、职位、新闻、广告和技术的详细信息
  - name: LinkedIn
    description: 通过 LinkedIn 个人资料 URL 查找人员和公司数据
  - name: Redeem
    description: 兑换积分以解锁人员联系方式（单个和批量）
  - name: Channels
    description: 管理外展渠道模板（创建、更新、删除、列表）
  - name: Monitor
    description: 创建和管理数据监控，包括 Webhook、统计和处理
  - name: Filters
    description: 获取搜索参数的可用筛选值（技术、地点、垂直领域等）
  - name: API Keys
    description: 查看 API 密钥的请求日志和使用情况分析
  - name: Insights
    description: 公司的信号聚合洞察(招聘、新闻、广告)。
  - name: Export
    description: 批量数据导出(消耗积分)。
  - name: Expansion
    description: 公司市场扩张情报:信号、阶段、市场与导出。
externalDocs:
  description: Pubrio API 用于搜索、预览和增强联系人及账户信息。Pubrio 数据库提供丰富的 B2B 联系人和销售情报数据。
  url: https://docs.pubrio.com
paths:
  /companies/lookalikes/search:
    post:
      tags:
        - Lookalike
      summary: 搜索相似公司
      description: |-
        **已弃用。** 请改用 `POST /companies/search/similar` — 数据相同,请求体相同。

        根据公司特征和技术属性，查找与指定目标公司相似的公司。
      operationId: companies_search_lookalikes
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                locations:
                  $ref: '#/components/schemas/locations'
                exclude_locations:
                  $ref: '#/components/schemas/exclude_locations'
                technologies:
                  $ref: '#/components/schemas/technologies'
                categories:
                  $ref: '#/components/schemas/categories'
                verticals:
                  $ref: '#/components/schemas/verticals'
                vertical_categories:
                  $ref: '#/components/schemas/vertical_categories'
                vertical_sub_categories:
                  $ref: '#/components/schemas/vertical_sub_categories'
                domain_search_id:
                  $ref: '#/components/schemas/domain_search_id'
                domain:
                  $ref: '#/components/schemas/domain'
                linkedin_url:
                  $ref: '#/components/schemas/company_linkedin_url'
                employees:
                  $ref: '#/components/schemas/employees'
                founded_dates:
                  $ref: '#/components/schemas/founded_dates'
                revenues:
                  $ref: '#/components/schemas/revenues'
                job_locations:
                  $ref: '#/components/schemas/locations'
                job_posted_dates:
                  $ref: '#/components/schemas/posted_dates'
                job_titles:
                  $ref: '#/components/schemas/people_titles'
                news_categories:
                  $ref: '#/components/schemas/news_categories'
                news_published_dates:
                  $ref: '#/components/schemas/published_dates'
                is_enable_similarity_search:
                  $ref: '#/components/schemas/is_enable_similarity_search'
                similarity_score:
                  $ref: '#/components/schemas/similarity_score'
                per_page:
                  $ref: '#/components/schemas/per_page'
                page:
                  $ref: '#/components/schemas/page'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              anyOf:
                - title: Domain Search ID
                  required:
                    - domain_search_id
                - title: 域名
                  required:
                    - domain
                - title: LinkedIn URL
                  required:
                    - linkedin_url
      responses:
        '200':
          description: 包含相关详细信息的成功响应。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/data'
              example:
                data:
                  pagination:
                    page: 1
                    per_page: 25
                    total_entries: 45234700
                    total_pages: 1809388
                  companies:
                    - logo_url: >-
                        https://buckets.pubrio.com/company-logo/MjI0NDc1OTMxaWxqOXNzbmoxdHdpdHRlci5jb20=.jpg
                      company_name: Twitter
                      emails:
                        - ...
                      phones:
                        - ...
                      contacts:
                        - ...
                      founded_year: 2006
                      specialties:
                        - Software Development
                      industry: Software Development
                      domain: twitter.com
                      domain_search_id: 61a73da7-2efc-41a5-a252-a8a8df29925a
                      domain_id: 224475931
                      linkedin_company_id: 44005587
                      linkedin_name: twitter
                      is_company_url_active: true
                      domain_ids:
                        - 224475931
                        - 1758889566
                        - 368242865
                      company_keywords:
                        - realtime information
                        - social commerce
                        - online shopping
                        - classifieds
                        - craigslist killers
                        - e-commerce
                        - killers
                        - consumer internet
                        - internet
                        - information technology
                        - edp services
                        - technology
                        - software development
                        - microblogging
                        - social networking
                        - public conversation
                        - user engagement
                        - content sharing
                        - advertising solutions
                        - monetization
                        - community building
                        - digital wallet
                        - ai integration
                        - user safety
                      company_size: 1500
                      youtube_url: null
                      crunchbase_url: null
                      linkedin_url: http://www.linkedin.com/company/twitter
                      instagram_url: null
                      facebook_url: http://facebook.com/twitterinc
                      twitter_url: https://twitter.com/x
                      github_url: null
                      x_url: null
                      location: United States
                      company_ranking: null
                      company_url: http://twitter.com
                      saved_lists: null
                      company_size_printed: 1,500
                    - ...
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
      deprecated: true
components:
  schemas:
    locations:
      type: array
      items:
        type: string
      example:
        - US
        - SG
        - CN
      description: ISO 3166-1 alpha-2（cca2）用于筛选地区。更多信息请参见筛选器标签下的 `location` 端点。
    exclude_locations:
      type: array
      items:
        type: string
      example:
        - CN
        - US
        - RU
        - CA
      description: ISO 3166-1 alpha-2（cca2）用于筛选不需要返回的地区。更多信息请参见筛选器标签下的 `location` 端点。
    technologies:
      type: array
      items:
        type: integer
      description: |-
        `tag_id` 列表，用于搜索公司所用的特定技术。要获取ID，请调用筛选器标签下的 `technology` 端点。

        该筛选器支持 `is_enable_similarity_search`，启用后可输入任意自由文本，例如 `["Shopify"]`。
    categories:
      type: array
      items:
        type: integer
      description: |-
        `category_id` 列表，用于搜索公司所用的特定技术类别。要获取ID，请调用筛选器标签下的 `category` 端点。

        该筛选器支持 `is_enable_similarity_search`，启用后可输入任意自由文本，例如 `["CDN"]`。
    verticals:
      type: array
      items:
        type: integer
      description: |-
        `vertical_id` 列表，用于搜索特定垂直行业或领域的公司。要获取ID，请调用筛选器标签下的 `vertical` 端点。

        该筛选器支持 `is_enable_similarity_search`，启用后可输入任意自由文本，例如 `["AI"]`。
    vertical_categories:
      type: array
      items:
        type: integer
      description: >-
        `vertical_category_id` 列表，用于搜索特定垂直行业类别的公司。要获取ID，请调用筛选器标签下的 `vertical
        category` 端点。


        该筛选器支持 `is_enable_similarity_search`，启用后可输入任意自由文本，例如 `["Information
        Technology"]`。
    vertical_sub_categories:
      type: array
      items:
        type: integer
      description: >-
        `vertical_sub_category_id` 列表，用于搜索特定垂直行业子类别的公司。要获取ID，请调用筛选器标签下的
        `vertical sub category` 端点。


        该筛选器支持 `is_enable_similarity_search`，启用后可输入任意自由文本，例如 `["Software"]`。
    domain_search_id:
      type: string
      format: uuid
      description: 用于公司检索操作的唯一标识符。
    domain:
      type: string
      example: pubrio.com
      description: >-
        用于公司检索操作的公司域名。如果收到的地址为 `www.pubrio.com` 或
        `https://docs.pubrio.com/`，系统会自动转换为 `pubrio.com` 进行处理。
    company_linkedin_url:
      type: string
      example: https://www.linkedin.com/company/pubrio
      description: LinkedIn 公司主页的完整 URL。URL 需以 `http` 开头且包含 `linkedin.com/company/`。
    employees:
      type: array
      items:
        type: array
        items:
          type: string
      example:
        - - 1
          - 10
        - - 11
          - 20
        - - 10001
      description: |-
        公司员工人数范围。可根据员工总数筛选公司，并可添加多个范围以扩展搜索结果。

        更多信息请参见筛选器标签下的 `company size` 端点。
    founded_dates:
      type: array
      items:
        type: integer
      example:
        - 2018
        - 2024
      description: 公司成立年份范围。最大值为当前年份。
    revenues:
      type: array
      items:
        type: integer
      example:
        - 0
        - 100000
      description: 公司收入的最小值和最大值范围。
    posted_dates:
      type: array
      items:
        type: string
      example:
        - '2025-01-01'
        - '2025-01-10'
      description: 发布日期的时间范围。最大值为当天。
    people_titles:
      type: array
      items:
        type: string
      example:
        - sales manager
        - marketing manager
      description: >-
        与目标人员相关的职位名称。


        结果还将包含包含类似术语的职位，即使不完全匹配。例如，搜索 `software engineer` 也可能返回职位为 `senior
        software engineer` 的人员。
    news_categories:
      type: array
      items:
        type: string
      example:
        - launches
      description: '`category slugs` 列表，用于搜索特定新闻类别。要获取 slug，请调用筛选器标签下的 `news categories` 端点。'
    published_dates:
      type: array
      items:
        type: string
      example:
        - '2025-01-01'
        - '2025-01-10'
      description: 发布时间的时间范围。最大值为当天。
    is_enable_similarity_search:
      type: boolean
      description: 启用后，上述支持相似度搜索的筛选器可直接填写自由文本以检索特定ID。
    similarity_score:
      type: number
      format: float
      example: 0.7
      description: >-
        需与 `is_enable_similarity_search` 配合使用。该数值用于分析特定
        slug（如行业、技术）与用户输入的相似程度，数值越高，匹配越严格。
    per_page:
      type: integer
      example: 25
      description: 每页应返回的搜索结果数量。限制每页结果数量可提升接口性能。
    page:
      type: integer
      example: 1
      description: 要检索的数据页码。
    profile_id:
      type: integer
      description: >-
        可选。发起请求的团队标识符。由于 API 密钥已包含您的工作区信息，此参数不再是必填项。如果提供，该 ID
        有助于将查找与特定团队（工作区）关联，实现数据检索和额度追踪。


        更多信息请参见团队标签下的 `user details` 端点。
    data:
      type: object
      nullable: true
      description: 响应信息取决于具体接口。
  responses:
    general_error:
      description: 请求错误。请求格式不正确或包含无效参数。请检查错误代码和消息以获取详细信息。
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: 错误及代码会根据不同场景有所不同，详情请参阅文档。
                type: string
              details:
                type: object
    rate_limit_error:
      description: 超出速率限制。在给定时间段内发送了过多请求。请在速率限制窗口重置后重试。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 请求频率超出限制。请稍后再试。
                type: string
    server_error:
      description: 内部服务器错误。服务器发生意外错误。如果错误持续存在，请联系支持团队。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 服务器在处理请求时遇到了未预料的异常。
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        一个唯一的 API 令牌，用于标识您通过 API 执行的操作以及相应的权限和操作。您可以在
        [设置](https://dashboard.pubrio.com/#/settings/) 部分创建该令牌。
      in: header

````